package com.zcloud.zcGbsServicer.domain.gateway;

import com.zcloud.zcGbsServicer.domain.model.ResourceDeviceE;

/**
* web-domain
* @Author makejava
* @Date 2026-01-21 17:23:16
*/
public interface ResourceDeviceGateway {

    /**
    * 新增
    */
    Boolean add(ResourceDeviceE resourceDeviceE) ;

    /**
    * 修改
    */
    Boolean update(ResourceDeviceE resourceDeviceE);

    /**
    * 删除
    */
    Boolean deletedResourceDeviceById(Long id);
    Boolean deletedResourceDeviceByIds(Long[] id);
}

